chiark / gitweb /
test suite: Support run-all -p, DGIT_TESTS_PROGRESSIVE
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Thu, 26 Jul 2018 05:36:51 +0000 (06:36 +0100)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Thu, 26 Jul 2018 09:04:45 +0000 (10:04 +0100)
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
tests/Makefile
tests/run-all

index d6f78dc819a4cb63bd3e7d6a8d0ce8d91fc502f4..84942848feb7f7d1e347cb321e05bc3a5e355b2c 100644 (file)
@@ -7,7 +7,7 @@ TESTSCRIPTS ?= $(shell tests/enumerate-tests)
 TESTNAMES := $(notdir $(TESTSCRIPTS))
 
 all: $(foreach t,$(TESTNAMES),tests/tmp/$t.ok)
-       @echo "ALL PASSED"
+       @echo "ALL PASSED$${DGIT_TESTS_PROGRESSIVE+ AT SOME POINT}"
 
 tests/tmp/%.ok:
 ifeq ($(DGIT_TEST_RETRY_COUNT),)
@@ -21,3 +21,4 @@ else
                echo >&2 "[$$retry] $* TEST FAILED $$rc";               \
        done; exit $$rc
 endif
+       @touch $@
index 3e40369eeb601900f329e4d14457c362c30160d3..c93017192ee428ee1135b133bc39ea4c1f7808b7 100755 (executable)
@@ -1,12 +1,13 @@
 #!/bin/bash
 set -e
 # convenience script for running the tests outside adt-run
-# usage: tests/using-intree tests/run-all [tests/tests/*]
+# usage: tests/using-intree tests/run-all [-p|--progressive] [tests/tests/*]
 
 set -o pipefail
 
 while [ $# != 0 ]; do
        case "$1" in
+       --progressive|-p)       shift; export DGIT_TESTS_PROGRESSIVE=y;;
        --)                     shift; break ;;
        -*)     echo >&2 "run-all: unknown option $1"; exit 20 ;;
        *)                      break ;;
@@ -22,6 +23,8 @@ fi
 
 mkdir -p tests/tmp
 
+${DGIT_TESTS_PROGRESSIVE+:} rm -f tests/tmp/*.ok
+
 export DGIT_GNUPG_STUNT_ERRLOG=$( tty -s ||: )
 
 (